<?php
// +----------------------------------------------------------------------
// | ThinkKAI [ WE CAN DO IT MORE SIMPLE ]
// +----------------------------------------------------------------------
// | Copyright (c) 2013-2018 http://www.thinkKAI.com All rights reserved.
// +----------------------------------------------------------------------
// | Author: 老猫 <zxxjjforever@163.com>
// +----------------------------------------------------------------------

// [ 入口文件 ]
// 
// 检测PHP环境
if(version_compare(PHP_VERSION,'5.6.0','<'))  die('require PHP > 5.6.0 !');

if(file_exists("./install/") && !file_exists("./install/install.lock")){
	if($_SERVER['PHP_SELF'] != '/index.php'){
		header("Content-type: text/html; charset=utf-8");
		exit("请在域名根目录下安装<br/> 如： www.xxx.com/index.php 正确 <br/> 如： www.xxx.com/www/index.php 错误，必须将彩纸屋学习程序安装到网站的根目录。");
	}
	header('Location:/install/index.php');
	exit();
}


// 调试模式开关
define("APP_DEBUG", false);


define("WEB_ROOT",__DIR__ . "/");

// 定义CMF根目录,可更改此目录
define('APP_ROOT', __DIR__ . '/../');

// 定义应用目录
define('APP_PATH', APP_ROOT . 'app/');

// 定义KAI核心包目录
define('KAI_PATH', APP_ROOT . 'base/');

// 定义应用的运行时目录
define('RUNTIME_PATH', APP_ROOT . 'data/runtime/');

// 定义扩展目录
define('VENDOR_PATH', KAI_PATH . 'vendor/');

// 加载框架基础文件
require APP_ROOT . 'thinkphp/base.php';

// 执行应用
\think\App::run()->send();
